## kconfig 5.116.0+p24.04+vstable+git20251019.0207

=== debian/changelog ===
kconfig (5.116.0+p24.04+vstable+git20251019.0207-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:07:47 +0000
