## kconfig 5.116.0+p24.04+vstable+git20251206.0155

=== debian/changelog ===
kconfig (5.116.0+p24.04+vstable+git20251206.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 01:55:32 +0000
