=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Git: https://invent.kde.org/neon/kde/kconfig.git
Vcs-Browser: https://invent.kde.org/neon/kde/kconfig
Maintainer: Neon CI <neon@kde.org>

Package: libkf5config-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-dev-bin (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         libkf5configqml5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5completion-dev (<< 5.51),
        libkf5config-bin-dev (<< 5.42),
        libkf5config-doc (<< 5.61.0-1),
        libkf5configwidgets-dev (<< 5.51),
        libkf5notifications-dev (<< 5.51),
        libkf5service-dev (<< 5.51),
        libkf5wallet-dev (<< 5.51),
        libkf5xmlgui-dev (<< 5.51)
Replaces: libkf5config-bin-dev (<< 5.52), libkf5config-doc (<< 5.61.0-1)
Recommends: libkf5config-doc (= ${source:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5config-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Breaks: libkf5config-bin-dev (<< 5.52.0), libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-bin-dev (<< 5.52.0), libkf5config-dev (<< 5.15.0-2~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5config-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.51),
        frameworkintegration (<< 5.51),
        kded5 (<< 5.51),
        kdesignerplugin (<< 5.42),
        kgendesignerplugin (<< 5.51),
        kgendesignerplugin-bin (<< 5.51),
        kinit (<< 5.51),
        kio (<< 5.51),
        kpackagelauncherqml (<< 5.42),
        kpackagetool5 (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5activitiesstats1 (<< 5.51),
        libkf5baloo5 (<< 5.51),
        libkf5bookmarks5 (<< 5.51),
        libkf5completion5 (<< 5.51),
        libkf5config-data (<< 5.82),
        libkf5configwidgets5 (<< 5.51),
        libkf5declarative5 (<< 5.51),
        libkf5emoticons-bin (<< 5.42),
        libkf5emoticons5 (<< 5.51),
        libkf5globalaccel-bin (<< 5.42),
        libkf5globalaccelprivate5 (<< 5.51),
        libkf5iconthemes5 (<< 5.51),
        libkf5kcmutils5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.51),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiocore5 (<< 5.51),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiogui5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5newstuffcore5 (<< 5.51),
        libkf5notifications5 (<< 5.51),
        libkf5package5 (<< 5.28),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.51),
        libkf5people5 (<< 5.42),
        libkf5peoplewidgets5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5purpose-bin (<< 5.51),
        libkf5purpose5 (<< 5.51),
        libkf5quickaddons5 (<< 5.51),
        libkf5runner5 (<< 5.51),
        libkf5service-bin (<< 5.42),
        libkf5service5 (<< 5.51),
        libkf5style5 (<< 5.51),
        libkf5su5 (<< 5.51),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.42),
        libkf5wallet-bin (<< 5.51),
        libkf5wallet5 (<< 5.51),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui-bin (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        libkf5xmlrpcclient5 (<< 5.42),
        plasma-framework (<< 5.51),
        qml-module-org-kde-activities (<< 5.51),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-kconfig (<< 5.51),
        qml-module-org-kde-kio (<< 5.42),
        qml-module-org-kde-kquickcontrols (<< 5.42),
        qml-module-org-kde-kquickcontrolsaddons (<< 5.51),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
        qml-module-org-kde-runnermodel (<< 5.42)
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.42),
        kio (<< 5.42),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5completion5 (<< 5.51),
        libkf5configwidgets5 (<< 5.51),
        libkf5iconthemes5 (<< 5.42),
        libkf5kcmutils5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5kiowidgets5 (<< 5.51),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.51),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.42),
        libkf5quickaddons5 (<< 5.51),
        libkf5style5 (<< 5.42),
        libkf5texteditor5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.42),
        libkf5webkit5 (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kquickcontrols (<< 5.51),
        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

Package: libkf5configqml5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configuration settings framework for Qt QML
 KConfig provides an advanced configuration system. It is made of three
 parts: KConfigCore and KConfigGui and KConfigQML.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigQml.

Package: libkf5config-bin-dev
Section: oldlibs
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: transitional package
