## kconfig 5.116.0+p24.04+vunstable+git20251015.0902

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251015.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:02:14 +0000
