## kconfig 5.116.0+p24.04+vunstable+git20251020.0123

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251020.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:23:34 +0000
