## kconfig 5.116.0+p24.04+vunstable+git20251204.0114

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251204.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:15:00 +0000
