## kconfig 5.116.0+p24.04+vunstable+git20251211.0217

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251211.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 02:17:40 +0000
