## kconfig 5.116.0+p24.04+vunstable+git20251212.0115

=== debian/changelog ===
kconfig (5.116.0+p24.04+vunstable+git20251212.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 01:15:08 +0000
